diff -r 55ac24199968 SConstruct
--- a/SConstruct	Wed Mar 24 04:13:37 2010 -0700
+++ b/SConstruct	Mon Jun 07 14:34:07 2010 +0200
@@ -74,11 +74,12 @@
 incdir = prefix+"/include/ocropus"
 libdir = prefix+"/lib"
 datadir = prefix+"/share/ocropus"
+modeldir = datadir+"/models/"
 bindir = prefix+"/bin"
 scriptsdir = datadir + '/scripts'
 
 env = Environment(options=opts)
-env.Append(CXXFLAGS=["-DDATADIR='\""+datadir+"\"'"])
+env.Append(CXXFLAGS=["-DDEFAULT_DATA_DIR='\""+modeldir+"\"'"])
 env.Append(CXXFLAGS=["-g","-fPIC"])
 env.Append(CXXFLAGS=env["opt"])
 env.Append(CXXFLAGS=env["warn"])
@@ -102,6 +103,7 @@
 env.Append(LIBPATH=["${iulib}/lib"])
 env.Append(CPPPATH=["${iulib}/include"])
 env.Append(LIBS=["iulib"])
+env.Append(RPATH=["${iulib}/lib"])
 assert conf.CheckLibWithHeader("iulib","iulib/iulib.h","C++");
 assert conf.CheckHeader("colib/colib.h",language="C++")
 
@@ -205,6 +207,7 @@
 
 penv = env.Clone()
 penv.Append(LIBS=[File("libocropus.so")])
+penv.Append(RPATH=destdir+libdir)
 
 for cmd in glob("commands/*.cc"): 
     penv.Program(cmd,LIBS=File("libocropus.so"))
